import java.io.*;

class f1 extends f_x
{ double K,d,e,y;
public f1(double Ki,double di,double ei)
{K=Ki;d=di;e=ei;y=1.0;}
public void sety(double yi)
{y=yi;}

 public double func(double x)
 {   
	 return K*Math.pow(x*1e-3,d)*Math.pow(y,e);
  }
}

class PlotT06
{    
	public static void main (String args[]) throws IOException
     { 
	   f1 f11=new f1(5203387.433,2.03685095,-0.188183195);
       f11.sety(300.0);
	   Plot p=new Plot(f11,0.0,100.0,100);
	   for(double H=400;H<=1000;H+=100)
	   {f11.sety(H);
	    p.addFunction(f11,0.0,100.0,100);
	   }
	   p.setPlabel("ECA elba TİP 11 RADYATÖR BASINÇ DÜŞÜMÜ");
       p.setXlabel("gm mililitre/s");
       p.setYlabel("dP Pascal");
	   p.plot(); 
	   
	   f1 f21=new f1(1682397.42,2.072054406,-0.162927029);
       f21.sety(300.0);
	   Plot p1=new Plot(f21,0.0,100.0,100);
	   for(double H=400;H<=1000;H+=100)
	   {f21.sety(H);
	    p1.addFunction(f21,0.0,100.0,100);
	   }
	   p1.setPlabel("ECA elba TİP 21 RADYATÖR BASINÇ DÜŞÜMÜ");
       p1.setXlabel("gm mililitre/s");
       p1.setYlabel("dP Pascal");
	   p1.plot(); 
 
	   f1 f22=new f1(1945521.534,2.026532433,-0.237753027);
       f22.sety(300.0);
	   Plot p2=new Plot(f22,0.0,100.0,100);
	   for(double H=400;H<=1000;H+=100)
	   {f22.sety(H);
	    p2.addFunction(f22,0.0,100.0,100);
	   }
	   p2.setPlabel("ECA elba TİP 22 RADYATÖR BASINÇ DÜŞÜMÜ");
       p2.setXlabel("gm mililitre/s");
       p2.setYlabel("dP Pascal");
	   p2.plot(); 
	   
	   f1 f33=new f1(948170.8292,2.142061742,-0.120434613);
       f33.sety(300.0);
	   Plot p3=new Plot(f33,0.0,100.0,100);
	   for(double H=400;H<=1000;H+=100)
	   {f33.sety(H);
	    p3.addFunction(f33,0.0,100.0,100);
	   }
	   p3.setPlabel("ECA elba TİP 33 RADYATÖR BASINÇ DÜŞÜMÜ");
       p3.setXlabel("gm mililitre/s");
       p3.setYlabel("dP Pascal");
	   p3.plot(); 
	 }
}
